<?php
/*
Plugin Name: Total - QuickStart VC Module
Description: Adds a new module to the Visual Composer named "Quickstart".
Version: 1.1.0
Author: Aj Clarke
Author URI: http://www.wpexplorer.com
License: GPLv2
*/

class Total_VC_QuickStart_Module {

	/**
	 * Main constructor
	 *
	 * @since 1.0.0
	 */
	public function __construct() {
		add_action( 'init', array( 'Total_VC_QuickStart_Module', 'init' ), 99 );
	}

	/**
	 * Initialize things
	 *
	 * @since 1.0.0
	 */
	public static function init() {
		if ( function_exists( 'vc_lean_map' )
			&& class_exists( 'WPBakeryShortCode' )
			&& function_exists( 'wpex_get_theme_branding' )
			&& ! function_exists( 'vcex_quickstart_shortcode_vc_map' )
		) {
			require_once( plugin_dir_path( __FILE__ ) .'quickstart-shortcode.php' );
		}
	}

}
new Total_VC_QuickStart_Module;